Subject: Re: [Dri-devel] Re: PPC Lockup (ati-pcigart-branch)

From: Dan Malek <[email-masked]>
Date: Fri, 19 Jan 2001 12:24:24 -0500

Gareth Hughes wrote:

> Pages is definitely the number of pages (at least when I wrote the
> code...).

Hmmm....vmalloc() definitely works fine, we use it all of the
time in the kernel.  The only way it would hang is if you call
it too soon, or if the number of pages was too large.

> .....and we really should be using
> vmalloc_32(...) instead (which will result in exactly the same code, but
> it is cleaner).

It's no longer the same.  Linux has the "highmem" configuration now,
and vmalloc() allows that to be used, while vmalloc32() does not.

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/